import * as mc from "@minecraft/server";

mc.world.beforeEvents.worldInitialize.subscribe(event => {
	const itemComponentRegistry = event.itemComponentRegistry;
	const blockComponentRegistry = event.blockComponentRegistry;
	blockComponentRegistry.registerCustomComponent("al3:block_summon_griffo",{onPlayerDestroy: arg => {block_summon_griffo(arg.block);}});
});

export function block_summon_griffo(block) {
  const dimension = block.dimension;
  const blockLoc = block.location;
  const x = blockLoc.x;
  const y = blockLoc.y;
  const z = blockLoc.z;
  dimension.runCommandAsync(`execute positioned ${x} ${y} ${z} run summon ale:grifo ~~~ ~~`);
}
